<div id="price-tables" class="page-layout simple fullwidth left-sidenav inner-sidenav" fusePerfectScrollbar>


    <mat-toolbar matDialogTitle class="{{secondColorBrand}} m-0" style="padding: 12px; height: 100px; min-height: 100px;">
        <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
            <span class="h1" style="color:white;">{{brandName}} - {{brandId}} </span>

        </mat-toolbar-row>

    </mat-toolbar>

    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

        <div fxFlex="20" style="padding-top: 0px;">
            <div class="center" style="height: 750px;">
                <div class="content" style="padding-top: 13px;">
                    <brands-sidenav *fuseIfOnDom [@animate]="{value:'*'}" (onFilterBrand)="onFilterBrand($event)"
                        (onFilterPermission)="onFilterPermission($event)"></brands-sidenav>
                </div>
            </div>
        </div>

        <div fxFlex="80" style="padding-top: 0px;" >
            <div class="center" style="padding-left: 10px; padding-top: 0px; padding-right: 24px; padding-bottom: 24px; background-color:transparent">
                <div class="content" style="height:650px;background-color:transparent">
                    <div class="content mat-white-bg mat-elevation-z4">

                        <mat-dialog-content>

                            <mat-toolbar matDialogTitle [ngClass]="secondColorBrand">
                                <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
                                    <span class="title dialog-title h1" style="cursor:pointer" (click)="parentBrand()">{{subBrand}}</span>
                                </mat-toolbar-row>
                            </mat-toolbar>

                            <mat-horizontal-stepper [linear]="true" #stepper>
                                <mat-step [stepControl]="brandDataForm">
                                    <div class="panel-content">
                                        <form [formGroup]="brandDataForm" novalidate>
                                            <ng-template matStepLabel>Dados da Marca</ng-template>
                                            <div class="small-form-container">
                                                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                                                    <mat-form-field fxFlex="100">
                                                        <input matInput placeholder="Nome da Marca" required
                                                            formControlName="name">
                                                        <mat-error *ngIf="brandDataForm.get('name').hasError('required')">
                                                            Por favor, informe o nome da Marca
                                                        </mat-error>
                                                    </mat-form-field>
                                                </div>
                                                <br>
                                                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                                                    <mat-form-field fxFlex="100">
                                                        <input matInput placeholder="Razão Social da Marca" required
                                                            formControlName="corporateName">
                                                        <mat-error *ngIf="brandDataForm.get('corporateName').hasError('required')">
                                                            Por favor, informe a Razão Social da Marca
                                                        </mat-error>
                                                    </mat-form-field>
                                                </div>
                                                <br>
                                                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                                                    <mat-form-field fxFlex="50">
                                                        <input matInput placeholder="CNPJ da Marca" [textMask]="{mask: cnpjMask}"
                                                            required formControlName="registrationNumber">
                                                        <mat-error *ngIf="brandDataForm.get('registrationNumber').hasError('required')">
                                                            Por favor, informe o CNPJ da Marca
                                                        </mat-error>
                                                    </mat-form-field>
                                                    <mat-form-field fxFlex="50">
                                                        <mat-select placeholder="Essa marca é uma submarca de:"
                                                            formControlName="parent">
                                                            <mat-option *ngFor="let brand of brandList" [value]="brand['id']">
                                                                {{brand['name']}}
                                                            </mat-option>
                                                        </mat-select>
                                                        <mat-error *ngIf="brandDataForm.get('parent').hasError('required')">
                                                            Por favor, selecione a marca
                                                        </mat-error>
                                                    </mat-form-field>
                                                </div>
                                                <br>

                                                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                                                    <mat-form-field fxFlex="20">
                                                        <input matInput placeholder="Alias da Marca" [(ngModel)]="alias"
                                                            style="text-align:right;" required formControlName="alias">
                                                        <mat-error *ngIf="brandDataForm.get('alias').hasError('required')">
                                                            Por favor, informe o alias da Marca
                                                        </mat-error>
                                                    </mat-form-field>
                                                    <div fxFlex="70">
                                                        <span class="title dialog-title h3">.tracknme.com.br</span>
                                                    </div>

                                                </div>

                                            </div>

                                            <hr>
                                            <div fxLayout="row" fxLayoutAlign="space-between center">
                                                <button mat-raised-button color="warn" (click)="backMenuBrands()">Cancelar</button>
                                                <button [disabled]="brandDataForm.invalid" color="primary"
                                                    mat-raised-button matStepperNext>Próximo</button>
                                            </div>
                                        </form>
                                    </div>
                                </mat-step>

                                <mat-step [stepControl]="addressForm">
                                    <div class="panel-content">
                                        <form [formGroup]="addressForm" novalidate>

                                            <ng-template matStepLabel>Endereço</ng-template>
                                            <div class="small-form-container">

                                                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                                                    <mat-form-field fxFlex="60">
                                                        <input matInput placeholder="Rua/Avenida/Alameda"
                                                            formControlName="street" required>
                                                        <mat-error *ngIf="addressForm.get('street').hasError('required')">
                                                            Por favor, informe a Rua/Avenida/Alameda
                                                        </mat-error>
                                                    </mat-form-field>

                                                    <mat-form-field fxFlex="20">
                                                        <input matInput placeholder="Número" formControlName="number"
                                                            required>
                                                        <mat-error *ngIf="addressForm.get('number').hasError('required')">
                                                            Por favor, informe o número
                                                        </mat-error>
                                                    </mat-form-field>

                                                    <mat-form-field fxFlex="20">
                                                        <input matInput placeholder="Complemento" formControlName="complement">
                                                    </mat-form-field>
                                                </div>

                                                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                                                    <mat-form-field fxFlex="33">
                                                        <input matInput placeholder="Bairro" formControlName="district"
                                                            required>
                                                        <mat-error *ngIf="addressForm.get('district').hasError('required')">
                                                            Por favor, informe o Bairro
                                                        </mat-error>
                                                    </mat-form-field>

                                                    <mat-form-field fxFlex="34">
                                                        <input matInput placeholder="Cidade" formControlName="city"
                                                            required>
                                                        <mat-error *ngIf="addressForm.get('city').hasError('required')">
                                                            Por favor, informe a Cidade
                                                        </mat-error>
                                                    </mat-form-field>


                                                    <mat-form-field fxFlex="33">
                                                        <mat-select placeholder="Estado" formControlName="state"
                                                            required>
                                                            <mat-option *ngFor="let state of stateAddressList" [value]="state.key">
                                                                {{ state.value }}
                                                            </mat-option>
                                                        </mat-select>
                                                        <mat-error *ngIf="addressForm.get('state').hasError('required')">
                                                            Por favor, selecione o Estado
                                                        </mat-error>
                                                    </mat-form-field>
                                                </div>

                                                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                                                    <mat-form-field fxFlex="50">
                                                        <input matInput placeholder="CEP" formControlName="postalCode"
                                                            [textMask]="{mask: postalCodeMask}" required>
                                                        <mat-error *ngIf="addressForm.get('postalCode').hasError('required')">
                                                            Por favor, informe o CEP
                                                        </mat-error>
                                                        <mat-error *ngIf="addressForm.get('postalCode').hasError('minlength')">
                                                            Por favor, CEP deve conter 8 caracteres
                                                        </mat-error>
                                                    </mat-form-field>

                                                    <mat-form-field fxFlex="50">
                                                        <input matInput placeholder="Referência" formControlName="reference">
                                                    </mat-form-field>
                                                </div>
                                            </div>

                                            <br>
                                            <hr>
                                            <div fxLayout="row" fxLayoutAlign="space-between center">
                                                <button mat-raised-button color="warn" mat-dialog-close>Cancelar</button>
                                                <button [disabled]="addressForm.invalid" color="primary"
                                                    mat-raised-button matStepperNext>Próximo</button>
                                            </div>

                                        </form>
                                    </div>
                                </mat-step>

                                <mat-step [stepControl]="paymentDataForm">
                                    <form [formGroup]="paymentDataForm" novalidate>
                                        <ng-template matStepLabel>Formas de Pagamento</ng-template>

                                        <div class="content">
                                            <div class="panel-content">

                                                <div fxLayout="row" fxLayoutAlign="end end">
                                                    <button mat-menu-item (click)="addNewPayment('CREDIT_CARD')">
                                                        <mat-icon>credit_card</mat-icon>
                                                        <span>Adicionar Cartão de Crédito</span>
                                                    </button>

                                                    <button mat-menu-item (click)="addNewPayment('DEBIT_CARD')">
                                                        <mat-icon>credit_card</mat-icon>
                                                        <span>Adicionar Cartão de Débito</span>
                                                    </button>
                                                </div>

                                                <mat-table #table [dataSource]="paymentDataSource">
                                                    <ng-container matColumnDef="type">
                                                        <mat-header-cell *matHeaderCellDef> Tipo </mat-header-cell>
                                                        <mat-cell *matCellDef="let element">
                                                            {{paymentTypeEnumToString(element.type)}} </mat-cell>
                                                    </ng-container>
                                                    <ng-container matColumnDef="creditCardBrand">
                                                        <mat-header-cell *matHeaderCellDef> Bandeira </mat-header-cell>
                                                        <mat-cell *matCellDef="let element"> {{element.creditCardBrand
                                                            ? element.creditCardBrand : element.debitCardBrand}}
                                                        </mat-cell>
                                                    </ng-container>
                                                    <ng-container matColumnDef="creditCardNumber">
                                                        <mat-header-cell *matHeaderCellDef> Número </mat-header-cell>
                                                        <mat-cell *matCellDef="let element"> {{element.creditCardNumber
                                                            ? element.creditCardNumber : (element.debitCardNumber |
                                                            paymentCardNumber )}} </mat-cell>
                                                    </ng-container>
                                                    <ng-container matColumnDef="delete">
                                                        <mat-header-cell *matHeaderCellDef> Excluir </mat-header-cell>
                                                        <mat-cell *matCellDef="let row; let element">
                                                            <mat-icon (click)="deletePayment(row)">delete</mat-icon>
                                                        </mat-cell>
                                                    </ng-container>

                                                    <mat-header-row *matHeaderRowDef="paymentDisplayedColumns"></mat-header-row>
                                                    <mat-row *matRowDef="let row; columns: paymentDisplayedColumns;"></mat-row>
                                                </mat-table>

                                            </div>
                                        </div>
                                        <br>
                                        <hr>
                                        <div fxLayout="row" fxLayoutAlign="space-between center">
                                            <button mat-button matStepperPrevious>Anterior</button>
                                            <button color="primary" mat-raised-button matStepperNext>Próximo</button>
                                        </div>
                                    </form>
                                </mat-step>

                                <mat-step [stepControl]="colorDataForm">
                                    <form [formGroup]="colorDataForm" novalidate>
                                        <ng-template matStepLabel>Cor</ng-template>

                                        <div class="content">

                                            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

                                                <mat-form-field fxFlex="50" style="padding: 0px 0px 0px 30px;">
                                                    <mat-select placeholder="Selecione a palheta de cores da nova Marca"
                                                        formControlName="palette" (selectionChange)="selectColor($event)">
                                                        <mat-option *ngFor="let color of (colors | keys)" [ngClass]="'mat-'+color.key+'-bg'"
                                                            [value]="color.key">
                                                            {{color.key}}
                                                        </mat-option>
                                                    </mat-select>
                                                </mat-form-field>
                                                <div fxFlex="50">
                                                    <h2 class="text-capitalize"><b>&nbsp;&nbsp;&nbsp;&nbsp;{{selectedColor}}</b></h2>
                                                </div>
                                            </div>

                                            <div class="color-tabs-content p-24" fxLayout="column">

                                                <div class="color-header colored-bg p-8" [ngClass]="'mat-'+selectedColor+'-bg'"
                                                    fxLayout="column">
                                                    <div class="p-8">
                                                        <h3 class="text-capitalize">{{selectedColor}}</h3>
                                                    </div>
                                                    <div class="p-8" fxLayout="row">
                                                    </div>
                                                </div>

                                                <div class="color" fxLayout="column" fxFlex="1 0 auto" *ngIf="selectedColor != 'black' && selectedColor != 'white'">

                                                    <div class="colored-bg p-8" *ngFor="let hue of ['A200','A400']"
                                                        fxFlex="1 0 auto" fxLayout="row" fxLayout.sm="column" [ngClass]="selectedColor+'-'+hue+'-bg'">

                                                        <div class="p-8" fxFlex="10" fxLayoutAlign="start center"></div>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>

                                        <!-- <br> -->
                                        <hr>
                                        <div fxLayout="row" fxLayoutAlign="space-between center">
                                            <button mat-button matStepperPrevious>Anterior</button>
                                            <button [disabled]="colorDataForm.invalid" color="primary"
                                                mat-raised-button matStepperNext>Próximo</button>
                                        </div>
                                    </form>
                                </mat-step>

                                <mat-step [stepControl]="imageForm">
                                    <form [formGroup]="imageForm" novalidate>
                                        <ng-template matStepLabel>Logo</ng-template>

                                        <h2>Selecione a Logo da nova Marca</h2>

                                        <div class="content">

                                            <img class="profile-image avatar huge" [src]="url" height="512"> <br />
                                            <br>
                                            <div class="form-group">

                                                <input type="file" id="file" (change)="handleFileInput($event.target.files)">
                                            </div>

                                        </div>

                                        <br>
                                        <hr>
                                        <div fxLayout="row" fxLayoutAlign="space-between center">
                                            <button mat-button matStepperPrevious>Anterior</button>
                                            <button [disabled]="imageForm.invalid" color="primary" mat-raised-button
                                                matStepperNext>Próximo</button>
                                        </div>
                                    </form>
                                </mat-step>


                                <mat-step [stepControl]="resumeForm">
                                    <form [formGroup]="resumeForm" novalidate>
                                        <ng-template matStepLabel>Resumo</ng-template>
                                        <br>

                                        <div id="invoice" class="modern page-layout blank" fxLayout="row"
                                            fusePerfectScrollbar>

                                            <div class="invoice-container">

                                                <div class="card">

                                                    <div class="header-invoice" fxLayout="row" fxLayoutAlign="space-between start"
                                                        fxLayoutGap="10px">


                                                        <div fxFlex="20">
                                                            <table class="summary">
                                                                <tr class="code">
                                                                    <td class="label">Marca</td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="label">&nbsp;&nbsp;&nbsp;&nbsp;Nome:</td>
                                                                    <td class="value">{{brandDataForm.value['name']}}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="label">&nbsp;&nbsp;&nbsp;&nbsp;Url:</td>
                                                                    <td class="value">{{convertAlias(alias)}}.tracknme.com.br</td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="label">&nbsp;&nbsp;&nbsp;&nbsp;CNPJ:</td>
                                                                    <td class="value">{{brandDataForm.value['registrationNumber']}}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="label">&nbsp;&nbsp;&nbsp;&nbsp;Cor:</td>
                                                                    <td class="value">{{selectedColor}}</td>
                                                                </tr>
                                                                <tr>
                                                                    <td class="label">&nbsp;&nbsp;&nbsp;&nbsp;Marca
                                                                        Pai:</td>
                                                                    <td class="value">{{parentName}}</td>
                                                                </tr>
                                                            </table>
                                                        </div>

                                                        <div fxFlex="20">
                                                            <table class="summary">
                                                                <tr class="code">
                                                                    <td class="label">Logo</td>
                                                                </tr>
                                                                <tr>
                                                                    <img class="profile-image avatar huge" [src]="url"
                                                                        height="400px"> <br />
                                                                </tr>
                                                            </table>
                                                        </div>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                        <br>
                                        <hr>
                                        <div fxLayout="row" fxLayoutAlign="space-between center">
                                            <button mat-button matStepperPrevious>Anterior</button>
                                            <button color="primary" mat-raised-button matStepperNext (click)="updateBrand()">Atualizar</button>
                                        </div>
                                    </form>
                                </mat-step>

                            </mat-horizontal-stepper>
                        </mat-dialog-content>
                    </div>
                </div>
            </div>
        </div>
        
    </div>

</div>